Update to secured web browsers

ATTENTION

As of June 4, 2018, any https:// requests coming from non-supported (old) browsers will be denied. The "handshake" between the browser request and server will not happen, so the user will see nothing (in most cases) besides a blank white page. Below are the minimum requirements for the most common supported modern browsers.

  • Microsoft Edge, released in 2015
  • Mozilla Firefox 27, released in 2014
  • Internet Explorer 11, released in 2013
  • Google Chrome 30, released in 2013
  • Safari 7, released in 2013
  • iOS 5, released in 2011

To remedy the issue, we recommend updating your web browser version on your existing platform or change your web browser entirely to a supported version.